import React from "react";
import Breadcrumbs from "components/breadcrumbs";
import Logo from "components/Logo";
import classNames from "classnames";
import Link from "components/Link";

type ArticleBreadcumbsProps = {
  emphasis?: "high" | "low";
  children?: React.ReactNode;
};

export function ArticleBreadcumbs({
  children,
  emphasis = "high", //Emphasis high uses when we display article page
}: ArticleBreadcumbsProps) {
  return (
    <Breadcrumbs
      divider="slash"
      className={classNames(
        "text-xs leading-4 text-gray-700 flex flex-row items-center",
        {
          "last:text-gray-900": emphasis === "high",
        }
      )}
    >
      {emphasis === "high" ? (
        <Link href="/">
          <Logo className="w-4" fillColors="gray" />
        </Link>
      ) : null}
      {children}
    </Breadcrumbs>
  );
}

ArticleBreadcumbs.displayName = "ArticleBreadcumbs";
